﻿;***qDoc*** 
;==========
;
;This demo creates a simple compound document and creates a couple of files within it.
;/////////////////////////////////////////////////////////////////////////////////

XIncludeFile "../qDoc.pbi"

Define myDoc.qDoc_DocumentObject, myFile.qDoc_FileObject

;Create a memory based qDocument. Much faster to work with a memory based document and then save to disc when we are done.
  myDoc = qDoc_CreateDocument()   ;There are 2 optional parameters; filename$ and pageSize. Leave fileName$ empty for a memory based document.
                                  ;pageSize defaults to a minimum of 1024.
  If myDoc

    ;Create a first file within the document.
      myFile = myDoc\CreateFile("file1")
      If myFile
        ;Write 1000 longs - just for the hell of it!
          For i = 1 To 1000
            myFile\WriteLong(10*i)
          Next
        myFile\Close()
      EndIf

    ;Create a second file within the document.
      myFile = myDoc\CreateFile("file2")
      If myFile
        ;Write a couple of strings. (Strings are automatically null-terminated).
          myFile\WriteString("String 1", #PB_UTF8)
          myFile\WriteString("String 2", #PB_UTF8)
        myFile\Close()
      EndIf

    ;Now save the document to disc.
      myDoc\SaveDocumentAs("test.qdoc")
    myDoc\close()
  EndIf
; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 17
; FirstLine = 2
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll