﻿;***qDoc*** 
;==========
;
;Create image document demo program.
;
;This demo creates a single document containing a bunch of images.
;/////////////////////////////////////////////////////////////////////////////////

#NumImages = 6

XIncludeFile "../../qDoc.pbi"

Define myDoc.qDoc_DocumentObject, myFile.qDoc_FileObject

;Create a memory based qDocument. Much faster to work with a memory based document and then save to disc when we are done.
  myDoc = qDoc_CreateDocument()   ;There are 2 optional parameters; filename$ and pageSize. Leave fileName$ empty for a memory based document.
                                  ;pageSize defaults to a minimum of 1024.

If myDoc
  ;We load each image and then add it to our document in the form of a file.
    For i = 0 To #NumImages-1
      file$ = "Images/image" + Str(i) + ".bmp"
      numBytes = FileSize(file$)
      If numBytes > 0
        buffer = AllocateMemory(numBytes)
        If buffer
          If ReadFile(1, file$)
            ;Read the image data into our buffer.
              ReadData(1, buffer, numBytes)
            ;Create a new file within our compound document.
              myFile = myDoc\CreateFile("image" + Str(i+1))
            If myFile
              ;Write the image to our new document file.
                myFile\WriteData(buffer, numBytes)

              myFile\Close()
            EndIf          
            CloseFile(1)
          EndIf        
          FreeMemory(buffer)
        EndIf 
      EndIf
    Next
  ;Now save the document to disc.
    myDoc\SaveDocumentAs("images.qdoc")
  myDoc\Close()
EndIf

; IDE Options = PureBasic 4.60 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 32
; FirstLine = 12
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll